libzypp 17.37.10

defaultintegral.h File Reference
`#include <iosfwd>`
`#include <boost/static_assert.hpp>`
`#include <boost/type_traits/is_integral.hpp>`

Go to the source code of this file.

## Classes
class | zypp::DefaultIntegral< Tp, TInitial >
| Integral type with defined initial value when default constructed. More...

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.

## Functions
template<class Tp, Tp TInitial>
std::string | zypp::asString (const DefaultIntegral< Tp, TInitial > &obj)